%define major 22
%define libname %mklibname %name %major
%define develname %mklibname -d %name
%define dirver 22

Name:           folks
Version:        0.4.2
Release:        %mkrel 1
Summary:        Aggregates people from multiple sources to create metacontacts

Group:          Networking/Instant messaging
License:        LGPLv2+
URL:            http://telepathy.freedesktop.org/wiki/Folks
Source0:        http://ftp.gnome.org/pub/GNOME/sources/folks/%{name}-%{version}.tar.bz2
BuildRequires:	libtelepathy-glib-devel >= 0.13
BuildRequires:	vala-devel > 0.9.5
BuildRequires:	vala-tools
BuildRequires:	gobject-introspection-devel >= 0.9.6
BuildRequires:	libgee-devel

%description
libfolks is a library that aggregates people from multiple sources (eg,
Telepathy connection managers and eventually evolution data server, Facebook,
etc.) to create metacontacts. It's written in Vala (in part to evaluate Vala).
The initial goal is for GObject/C support, though the Vala bindings should
basically automatic.

%package i18n
Group: System/Internationalization
Summary: Translations for %name
%description i18n
This package contains the translations for %{name}.

%package -n %libname
Group: System/Libraries
Summary: Aggregates people from multiple sources to create metacontacts
Requires: %name-i18n >= %version

%description -n %libname
libfolks is a library that aggregates people from multiple sources (eg,
Telepathy connection managers and eventually evolution data server, Facebook,
etc.) to create metacontacts. It's written in Vala (in part to evaluate Vala).
The initial goal is for GObject/C support, though the Vala bindings should
basically automatic.

%package -n %develname
Group: Development/C
Summary: Aggregates people from multiple sources to create metacontacts
Requires: %libname = %version-%release
Provides: lib%name-devel = %version-%release
Provides: %name-devel = %version-%release

%description -n %develname
libfolks is a library that aggregates people from multiple sources (eg,
Telepathy connection managers and eventually evolution data server, Facebook,
etc.) to create metacontacts. It's written in Vala (in part to evaluate Vala).
The initial goal is for GObject/C support, though the Vala bindings should
basically automatic.

%files i18n -f %name.lang

%files
%defattr(-,root,root)
%doc AUTHORS README
%_bindir/folks-import

%files -n %libname
%defattr(-,root,root,-)
%{_libdir}/*.so.%{major}*
%dir %{_libdir}/folks/%dirver/
%{_libdir}/folks/%dirver/backends

%files -n %develname
%defattr(-,root,root,-)
%{_libdir}/*.so
%{_libdir}/*.la
%{_libdir}/pkgconfig/*.pc
%{_includedir}/folks
%_datadir/vala/vapi/folks*
#--------------------------------------------------------------------

%prep
%setup -q
%apply_patches

%build
%configure2_5x
%make

%install
rm -rf %buildroot
%makeinstall_std
%find_lang %name

%clean
rm -rf %buildroot




%changelog
* Tue Apr 05 2011 dams <dams> 0.4.2-1.mga1
+ Revision: 80745
- update to 0.4.2, new major, add translations and add a better buildrequire on telepathy-glib
- update to 0.4.2

* Sun Feb 20 2011 eandry <eandry> 0.2.1-2.mga1
+ Revision: 54862
- drop buildroot
- imported package folks


* Tue Oct 26 2010 Götz Waschk <waschk@mandriva.org> 0.2.1-1mdv2011.0
+ Revision: 589430
- new version
- new library major

* Mon Sep 20 2010 Götz Waschk <waschk@mandriva.org> 0.2.0-1mdv2011.0
+ Revision: 579959
- new version
- update deps
- new directory version

* Sat Sep 11 2010 Götz Waschk <waschk@mandriva.org> 0.1.17-1mdv2011.0
+ Revision: 577153
- new version
- new dir version
- add folks-import
- add vala vapi files

* Wed Sep 01 2010 Götz Waschk <waschk@mandriva.org> 0.1.16-1mdv2011.0
+ Revision: 575173
- update to new version 0.1.16

* Fri Aug 27 2010 Götz Waschk <waschk@mandriva.org> 0.1.15-1mdv2011.0
+ Revision: 573462
- new version
- new dir version

* Wed Aug 18 2010 Götz Waschk <waschk@mandriva.org> 0.1.14.1-1mdv2011.0
+ Revision: 571214
- update to new version 0.1.14.1

* Wed Aug 18 2010 Götz Waschk <waschk@mandriva.org> 0.1.14-1mdv2011.0
+ Revision: 571200
- update build deps
- new version
- drop patch
- bump vala dep

* Wed Aug 11 2010 Götz Waschk <waschk@mandriva.org> 0.1.13-1mdv2011.0
+ Revision: 569148
- new version
- patch for new vala
- new plugin directory version

* Mon Aug 02 2010 Götz Waschk <waschk@mandriva.org> 0.1.12-1mdv2011.0
+ Revision: 565158
- new version
- update file list

* Mon Aug 02 2010 Funda Wang <fwang@mandriva.org> 0.1.11-1mdv2011.0
+ Revision: 565082
- import folks


